%define _disable_ld_no_undefined 1

%global srcname stringprep

%global p1_utils_ver 1.0.21


Name: erlang-%{srcname}
Version: 1.0.28
Release: %mkrel 2
Group:   Development/Erlang
License: ASL 2.0 and TCL
Summary: A framework for preparing Unicode strings to help input and comparison
URL: https://github.com/processone/stringprep/
Source0: https://github.com/processone/stringprep/archive/%{version}/%{srcname}-%{version}.tar.gz
Patch1:  0001-Make-start-test-more-robust.patch

Provides:  erlang-p1_stringprep = %{version}-%{release}
Obsoletes: erlang-p1_stringprep < 1.0.3

BuildRequires: gcc
BuildRequires: gcc-c++
BuildRequires: erlang-rebar
BuildRequires: erlang-p1_utils >= %{p1_utils_ver}

Requires: erlang-p1_utils >= %{p1_utils_ver}


%description
Stringprep is a framework for preparing Unicode test strings in order to
increase the likelihood that string input and string comparison work. The
principle are defined in RFC-3454: Preparation of Internationalized Strings.
This library is leverage Erlang native NIF mechanism to provide extremely fast
and efficient processing.


%prep
%autosetup -p1 -n stringprep-%{version}


%build
%{rebar_compile}


%install
install -d $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib

install -pm755 priv/lib/* $RPM_BUILD_ROOT%{_erllibdir}/%{srcname}-%{version}/priv/lib/
%{erlang_install}


%check
%{rebar_eunit}


%files
%license LICENSE.txt LICENSE.TCL LICENSE.ALL
%doc CHANGELOG.md
%doc README.md
%{erlang_appdir}



%changelog
* Mon Mar 13 2023 daviddavid <daviddavid> 1.0.28-2.mga9
+ Revision: 1948753
- add upstream patch to make start test more robust
- rebuild with current erlang stack

* Tue Aug 02 2022 neoclust <neoclust> 1.0.28-1.mga9
+ Revision: 1874641
- New version 1.0.28

* Tue Mar 15 2022 umeabot <umeabot> 1.0.27-2.mga9
+ Revision: 1793890
- Mageia 9 Mass Rebuild

* Wed Feb 09 2022 neoclust <neoclust> 1.0.27-1.mga9
+ Revision: 1772727
- New version 1.0.27

* Sun Dec 20 2020 neoclust <neoclust> 1.0.24-1.mga8
+ Revision: 1661925
- New version 1.0.24

* Sun Dec 20 2020 neoclust <neoclust> 1.0.22-1.mga8
+ Revision: 1661688
- New version 1.0.22

* Wed Feb 12 2020 umeabot <umeabot> 1.0.12-2.mga8
+ Revision: 1511375
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 wally <wally> 1.0.12-1.mga7
+ Revision: 1288426
- new version 1.0.12 (sync with Fedora)

* Thu Nov 17 2016 neoclust <neoclust> 1.0.6-1.mga6
+ Revision: 1067974
- imported package erlang-stringprep

